%global rocm_release 5.7
%global rocm_patch 0
%global rocm_version %{rocm_release}.%{rocm_patch}

Name:		rocminfo
Version:	%{rocm_version}
Release:    1%{?dist}
Summary:	ROCm system info utility

License:	NCSA
URL:		https://github.com/RadeonOpenCompute/rocminfo
Source0:	https://github.com/RadeonOpenCompute/rocminfo/archive/rocm-%{version}.tar.gz
Patch0:		0001-adjust-CMAKE_CXX_FLAGS.patch
Patch1:		0002-fix-buildtype-detection.patch

ExclusiveArch: x86_64 aarch64 ppc64le

BuildRequires: make
BuildRequires:	gcc-c++
BuildRequires:	cmake
BuildRequires:	rocm-runtime-devel >= %{rocm_release}.0
BuildRequires:	python3-devel

Requires:		kmod

%description
ROCm system info utility


%prep
%autosetup -n %{name}-rocm-%{version} -p1

%{__python3} %{_bindir}/pathfix.py -i %{__python3} rocm_agent_enumerator

%build
%cmake -DROCM_DIR=/usr
%cmake_build

%install
%cmake_install

chmod 755 %{buildroot}%{_bindir}/*

%files
%doc README.md
%license License.txt
%{_bindir}/rocm_agent_enumerator
%{_bindir}/rocminfo
%exclude %{_docdir}/*/License.txt


%changelog
* Wed Aug 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.7.0-1
- initial build
